Package com.fasterxml.jackson.core.io

# Class OutputDecorator

java.lang.Object
com.fasterxml.jackson.core.io.OutputDecorator

All Implemented Interfaces:
  `Serializable`

public abstract class OutputDecorator extends Object implements Serializable
Handler class that can be used to decorate output destinations. Typical use is to use a filter abstraction (filtered output stream, writer) around original output destination, and apply additional processing during write operations.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OutputDecorator()`

## Method Summary

Modifier and Type
Method
Description
`abstract OutputStream`
`decorate(IOContext ctxt, OutputStream out)`
Method called by `JsonFactory` instance when creating generator for given `OutputStream`, when this decorator has been registered.
`abstract Writer`
`decorate(IOContext ctxt, Writer w)`
Method called by `JsonFactory` instance when creating generator for given `Writer`, when this decorator has been registered.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OutputDecorator

public OutputDecorator()

## Method Details

### decorate

public abstract OutputStream decorate(IOContext ctxt, OutputStream out) throws IOException
Method called by `JsonFactory` instance when creating generator for given `OutputStream`, when this decorator has been registered.

Parameters:
  `ctxt` - IO context in use (provides access to declared encoding)
  `out` - Original output destination
Returns:
  OutputStream to use; either passed in argument, or something that calls it
Throws:
  `IOException` - if construction of decorated `OutputStream` fails

### decorate

public abstract Writer decorate(IOContext ctxt, Writer w) throws IOException
Method called by `JsonFactory` instance when creating generator for given `Writer`, when this decorator has been registered.

Parameters:
  `ctxt` - IO context in use (provides access to declared encoding)
  `w` - Original output writer
Returns:
  Writer to use; either passed in argument, or something that calls it
Throws:
  `IOException` - if construction of decorated `Writer` fails